JavaScript
import Finch from '@tryfinch/finch-api';
const client = new Finch({
accessToken: 'My Access Token',
});
const disconnectEntityResponse = await client.account.disconnectEntity({
entity_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a', '5e6f7a8b-9c10-4d11-a12b-c13d14e15f16'],
});
console.log(disconnectEntityResponse.status);from finch import Finch
client = Finch(
access_token="My Access Token",
)
disconnect_entity_response = client.account.disconnect_entity(
entity_ids=["3c90c3cc-0d44-4b50-8888-8dd25736052a", "5e6f7a8b-9c10-4d11-a12b-c13d14e15f16"],
)
print(disconnect_entity_response.status)package main
import (
"context"
"fmt"
"github.com/Finch-API/finch-api-go"
"github.com/Finch-API/finch-api-go/option"
)
func main() {
client := finchgo.NewClient(
option.WithAccessToken("My Access Token"),
)
disconnectEntityResponse, err := client.Account.DisconnectEntity(context.TODO(), finchgo.AccountDisconnectEntityParams{
EntityIDs: finchgo.F([]string{"3c90c3cc-0d44-4b50-8888-8dd25736052a", "5e6f7a8b-9c10-4d11-a12b-c13d14e15f16"}),
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", disconnectEntityResponse.Status)
}package com.tryfinch.api.example;
import com.tryfinch.api.client.FinchClient;
import com.tryfinch.api.client.okhttp.FinchOkHttpClient;
import com.tryfinch.api.models.AccountDisconnectEntityParams;
import com.tryfinch.api.models.DisconnectEntityResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
FinchClient client = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build();
AccountDisconnectEntityParams params = AccountDisconnectEntityParams.builder()
.addEntityId("3c90c3cc-0d44-4b50-8888-8dd25736052a")
.addEntityId("5e6f7a8b-9c10-4d11-a12b-c13d14e15f16")
.build();
DisconnectEntityResponse disconnectEntityResponse = client.account().disconnectEntity(params);
}
}package com.tryfinch.api.example
import com.tryfinch.api.client.FinchClient
import com.tryfinch.api.client.okhttp.FinchOkHttpClient
import com.tryfinch.api.models.AccountDisconnectEntityParams
import com.tryfinch.api.models.DisconnectEntityResponse
fun main() {
val client: FinchClient = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build()
val params: AccountDisconnectEntityParams = AccountDisconnectEntityParams.builder()
.addEntityId("3c90c3cc-0d44-4b50-8888-8dd25736052a")
.addEntityId("5e6f7a8b-9c10-4d11-a12b-c13d14e15f16")
.build()
val disconnectEntityResponse: DisconnectEntityResponse = client.account().disconnectEntity(params)
}require "finch_api"
finch = FinchAPI::Client.new(access_token: "My Access Token")
disconnect_entity_response = finch.account.disconnect_entity(
entity_ids: ["3c90c3cc-0d44-4b50-8888-8dd25736052a", "5e6f7a8b-9c10-4d11-a12b-c13d14e15f16"]
)
puts(disconnect_entity_response)curl --request POST \
--url https://api.tryfinch.com/disconnect-entity \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Finch-API-Version: <finch-api-version>' \
--data '
{
"entity_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a",
"5e6f7a8b-9c10-4d11-a12b-c13d14e15f16"
]
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryfinch.com/disconnect-entity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'entity_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a',
'5e6f7a8b-9c10-4d11-a12b-c13d14e15f16'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Finch-API-Version: <finch-api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": "success"
}Management
Disconnect Entity
Disconnect entity(s) from a connection without affecting other entities associated with the same connection.
POST
/
disconnect-entity
JavaScript
import Finch from '@tryfinch/finch-api';
const client = new Finch({
accessToken: 'My Access Token',
});
const disconnectEntityResponse = await client.account.disconnectEntity({
entity_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a', '5e6f7a8b-9c10-4d11-a12b-c13d14e15f16'],
});
console.log(disconnectEntityResponse.status);from finch import Finch
client = Finch(
access_token="My Access Token",
)
disconnect_entity_response = client.account.disconnect_entity(
entity_ids=["3c90c3cc-0d44-4b50-8888-8dd25736052a", "5e6f7a8b-9c10-4d11-a12b-c13d14e15f16"],
)
print(disconnect_entity_response.status)package main
import (
"context"
"fmt"
"github.com/Finch-API/finch-api-go"
"github.com/Finch-API/finch-api-go/option"
)
func main() {
client := finchgo.NewClient(
option.WithAccessToken("My Access Token"),
)
disconnectEntityResponse, err := client.Account.DisconnectEntity(context.TODO(), finchgo.AccountDisconnectEntityParams{
EntityIDs: finchgo.F([]string{"3c90c3cc-0d44-4b50-8888-8dd25736052a", "5e6f7a8b-9c10-4d11-a12b-c13d14e15f16"}),
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", disconnectEntityResponse.Status)
}package com.tryfinch.api.example;
import com.tryfinch.api.client.FinchClient;
import com.tryfinch.api.client.okhttp.FinchOkHttpClient;
import com.tryfinch.api.models.AccountDisconnectEntityParams;
import com.tryfinch.api.models.DisconnectEntityResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
FinchClient client = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build();
AccountDisconnectEntityParams params = AccountDisconnectEntityParams.builder()
.addEntityId("3c90c3cc-0d44-4b50-8888-8dd25736052a")
.addEntityId("5e6f7a8b-9c10-4d11-a12b-c13d14e15f16")
.build();
DisconnectEntityResponse disconnectEntityResponse = client.account().disconnectEntity(params);
}
}package com.tryfinch.api.example
import com.tryfinch.api.client.FinchClient
import com.tryfinch.api.client.okhttp.FinchOkHttpClient
import com.tryfinch.api.models.AccountDisconnectEntityParams
import com.tryfinch.api.models.DisconnectEntityResponse
fun main() {
val client: FinchClient = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build()
val params: AccountDisconnectEntityParams = AccountDisconnectEntityParams.builder()
.addEntityId("3c90c3cc-0d44-4b50-8888-8dd25736052a")
.addEntityId("5e6f7a8b-9c10-4d11-a12b-c13d14e15f16")
.build()
val disconnectEntityResponse: DisconnectEntityResponse = client.account().disconnectEntity(params)
}require "finch_api"
finch = FinchAPI::Client.new(access_token: "My Access Token")
disconnect_entity_response = finch.account.disconnect_entity(
entity_ids: ["3c90c3cc-0d44-4b50-8888-8dd25736052a", "5e6f7a8b-9c10-4d11-a12b-c13d14e15f16"]
)
puts(disconnect_entity_response)Disconnection is scoped to the
entity_id(s) provided in the request body. The entity(s) must belong to the connection associated with the access_token used to call this endpoint. All other entities linked to the same connection remain active and unaffected. If you need to disconnect all entities under a connection at once, use the Disconnect endpoint instead.Authorizations
Please use your Access Token
Headers
Header used to specify the version for a given API request. Current version is 2020-09-17.
Pattern:
([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))Body
application/json
Array of entity UUIDs to disconnect. At least one entity ID must be provided.
Minimum array length:
1Response
OK
If the request is successful, Finch will return "success" (HTTP 200 status).
Was this page helpful?
⌘I